Index: cprs/trunk/CPRS-Chart/fGraphSettings.pas
===================================================================
--- cprs/trunk/CPRS-Chart/fGraphSettings.pas	(revision 456)
+++ cprs/trunk/CPRS-Chart/fGraphSettings.pas	(revision 830)
@@ -5,8 +5,9 @@
 uses
   Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
-  ComCtrls, StdCtrls, ExtCtrls, CheckLst, Math, ORCtrls, ORFn, uGraphs;
+  ComCtrls, StdCtrls, ExtCtrls, CheckLst, Math, ORCtrls, ORFn, uCore, uGraphs, fBase508Form,
+  VA508AccessibilityManager;
 
 type
-  TfrmGraphSettings = class(TForm)
+  TfrmGraphSettings = class(TfrmBase508Form)
     brnClear: TButton;
     btnAll: TButton;
@@ -43,4 +44,8 @@
     bvlMid: TBevel;
     lstOptions: TListBox;
+    cboDateRangeOutpatient: TORComboBox;
+    cboDateRangeInpatient: TORComboBox;
+    lblOutpatient: TLabel;
+    lblInpatient: TLabel;
     procedure FormCreate(Sender: TObject);
     procedure FormShow(Sender: TObject);
@@ -68,13 +73,18 @@
 
   private
-    { Private declarations }
     FHintPauseTime: integer;
   public
-    { Public declarations }
     procedure wmNCLButtonDown(var Msg: TWMNCLButtonDown); message WM_NCLBUTTONDOWN;
+    procedure ChangeSettings(aGraphSetting: TGraphSetting);
+    procedure ChangeSources(DisplaySource: TStrings);
+    procedure Conversion(conv: integer);
+    procedure SetSettings(aGraphSetting: TGraphSetting);
+    procedure SetSources(aList, DisplaySource: TStrings);
+    procedure GetTypeList(aList: TStrings);
   end;
 
 var
   frmGraphSettings: TfrmGraphSettings;
+  
   procedure DialogOptionsGraphSettings(topvalue, leftvalue, fontsize: integer;
     var actiontype: boolean);
@@ -88,5 +98,5 @@
 
 uses
-  rGraphs;
+  rGraphs, fGraphData, VAUtils;
 
 procedure DialogOptionsGraphSettings(topvalue, leftvalue, fontsize: integer;
@@ -94,23 +104,18 @@
 var
   FGraphSetting: TGraphSetting;
-  aList, FSources, AllTypes: TStrings;
+  FSources, AllTypes: TStrings;
   i, conv: integer;
-  aSettings, dfntype, listline, settings, settings1, t1, t2: string;
-begin
-  aList := TStringList.Create;
-  FastAssign(rpcGetGraphSettings, aList);
-  if aList.Count < 1 then
-  begin
-    showmessage('CPRS is not configured for graphing.');
-    aList.Free;
+  aSettings, dfntype, listline, settings, settings1: string;
+begin
+  settings := GetCurrentSetting;
+  settings1 := GetPublicSetting;
+  if settings1 = '' then
+  begin
+    ShowMsg(TXT_NOGRAPHING);
     exit;
   end;
-  t1 := aList[0]; t2 := aList[1];   // t1 are personal, t2 public settings
-  if length(t1) > 0 then settings := t1
-  else settings := t2;
-  SetPiece(settings, '|', 8, Piece(t2, '|', 8));
   settings1 := Piece(settings, '|', 1);
   Alltypes := TStringList.Create;
-  FastAssign(rpcGetTypes('0', false), AllTypes);
+  FastAssign(GtslAllTypes, AllTypes);
   for i := 0 to AllTypes.Count - 1 do
   begin
@@ -132,6 +137,6 @@
   DialogGraphSettings(fontsize, actiontype, FGraphSetting, FSources, conv, aSettings);
   FGraphSetting.Free;
-  aList.Free;
   FSources.Free;
+  AllTypes.Free;
 end;
 
@@ -139,7 +144,4 @@
   aGraphSetting: TGraphSetting; DisplaySource: TStrings; var conv: integer; var aSettings: string);
 var
-  needtoadd, turnon: boolean;
-  i, j: integer;
-  dfntype, dsdisplay, dsitem, dsnum, filename, filenum, listitem, listline, t1, t2, value: string;
   aList: TStrings;
   frmGraphSettings: TfrmGraphSettings;
@@ -152,85 +154,15 @@
     with frmGraphSettings do
     begin
+      if displaysource.Count > 99999 then exit;
+      FastAssign(rpcGetGraphDateRange('OR_GRAPHS'), cboDateRangeOutpatient.Items);
+      if cboDateRangeOutpatient.Items.Count > 0 then
+        cboDateRangeOutpatient.Items.Delete(0);
+      FastAssign(cboDateRangeOutpatient.Items, cboDateRangeInpatient.Items);
       FastAssign(rpcGetGraphSettings, aList);
-      t1 := aList[0]; t2 := aList[1];   // t1 are personal, t2 public settings
-      if length(t1) = 0 then t1 := t2;
-      SetPiece(t1, '|', 8, Piece(t2,'|', 8));
-      btnPersonal.Hint := t1;
-      btnPublic.Hint := t2;
-      aList.Clear;
-      FastAssign(rpcGetTypes('0', false), aList);
-      for i := 0 to aList.Count -1 do
-      begin
-        listline := aList[i];
-        dfntype := UpperCase(Piece(listline, '^', 1));
-        SetPiece(listline, '^', 1, dfntype);
-        aList[i] := listline;
-      end;
-      with lstSources.Items do
-      begin
-        Clear;
-        lstSourcesCopy.Items.Clear;
-        for i := 0 to aList.Count - 1 do
-        begin
-          listitem := aList[i];
-          filenum := Piece(listitem, '^', 1);
-          filename := Piece(listitem, '^', 2);
-          Add(filename);
-          lstSourcesCopy.Items.Add(filename + '^' + filenum);
-        end;
-        with lstSourcesCopy do
-        for i := 0 to Items.Count - 1 do
-        begin
-          listitem := Items[i];
-          filenum := Piece(listitem, '^', 2);
-          for j := 0 to DisplaySource.Count - 1 do
-          begin
-            dsitem := DisplaySource[j];
-            dsnum := Piece(dsitem, '^', 1);
-            dsdisplay := Piece(dsitem, '^', 3);
-            if filenum = dsnum then
-            begin
-              if dsdisplay = '1' then
-                lstSources.Checked[i] := true;
-              break;                         
-            end;
-          end;
-        end;
-      end;
-      with aGraphSetting do
-      begin
-        OptionSettings := '';
-        if Values then OptionSettings := OptionSettings + SETTING_VALUES;
-        if VerticalZoom then OptionSettings := OptionSettings + SETTING_VZOOM;
-        if HorizontalZoom then OptionSettings := OptionSettings + SETTING_HZOOM;
-        if View3D then OptionSettings := OptionSettings + SETTING_3D;
-        if Legend then OptionSettings := OptionSettings + SETTING_LEGEND;
-        if Lines then OptionSettings := OptionSettings + SETTING_LINES;
-        if Dates then OptionSettings := OptionSettings + SETTING_DATES;
-        if SortByType then OptionSettings := OptionSettings + SETTING_SORT;
-        if ClearBackground then OptionSettings := OptionSettings + SETTING_CLEAR;
-        if Gradient then OptionSettings := OptionSettings + SETTING_GRADIENT;
-        if Hints then OptionSettings := OptionSettings + SETTING_HINTS;
-        if StayOnTop then OptionSettings := OptionSettings + SETTING_TOP;
-        if FixedDateRange then OptionSettings := OptionSettings + SETTING_FIXED;
-        spnMaxGraphs.Position := MaxGraphs;
-        spnMinGraphHeight.Position := MinGraphHeight;
-        MaxSelect := Min(MaxSelectMax, MaxSelect);
-        if MaxSelect < MaxSelectMin then
-          MaxSelect := MaxSelectMin;
-        spnMaxSelect.Position := MaxSelect;
-        spnMaxSelect.Min := MaxSelectMin;
-        spnMaxSelect.Max := MaxSelectMax;
-        if SortByType then SortColumn := 1 else SortColumn := 0;
-        lstOptions.Tag := SortColumn;
-        if (SortColumn > 0) then
-          if Pos(SETTING_SORT, OptionSettings) = 0 then
-            OptionSettings := OptionSettings + SETTING_SORT;
-        for i := 0 to lstOptions.Items.Count - 1 do
-        begin
-          value := Piece(lstOptions.Items[i], '^', 2);
-          chklstOptions.Checked[i] := Pos(value, OptionSettings) > 0;
-        end;
-      end;
+      btnPersonal.Hint := GetPersonalSetting;
+      btnPublic.Hint := GetPublicSetting;
+      GetTypeList(aList);
+      SetSources(aList, DisplaySource);
+      SetSettings(aGraphSetting);
       with spnMaxGraphs do
         lblMaxGraphsRef.Caption := inttostr(Min) + ' to ' + inttostr(Max);
@@ -239,33 +171,5 @@
       with spnMaxSelect do
         lblMaxSelectRef.Caption := inttostr(Min) + ' to ' + inttostr(Max);
-      if conv = BIG_NUMBER then
-      begin
-        lblOptionsInfo.Visible := true;
-        frmGraphSettings.Caption := 'Graph Settings - Defaults Only';
-        lblConversions.Enabled := false;
-        cboConversions.Enabled := false;
-        cboConversions.ItemIndex := 0;
-        cboConversions.Text := '';
-      end
-      else
-      with cboConversions do
-      begin
-        lblOptionsInfo.Visible := false;
-        frmGraphSettings.Caption := 'Graph Settings';
-        if btnPublicSave.Enabled = true then
-        begin
-          lblConversions.Enabled := true;
-          Enabled := true;
-          ItemIndex := conv;
-          Text := Items[ItemIndex];
-        end
-        else
-        begin
-          lblConversions.Enabled := false;
-          cboConversions.Enabled := false;
-          cboConversions.ItemIndex := 0;
-          cboConversions.Text := '';
-        end;
-      end;
+      Conversion(conv);
       ResizeAnchoredFormToFont(frmGraphSettings);
       ShowModal;
@@ -275,60 +179,6 @@
         aSettings := btnClose.Hint;
         conv := cboConversions.ItemIndex;
-        with lstSources do
-        begin
-          for i := 0 to Items.Count - 1 do
-          begin
-            needtoadd := false;
-            if Checked[i] then
-              needtoadd := true;
-            filename := Piece(lstSourcesCopy.Items[i], '^', 1);
-            filenum := Piece(lstSourcesCopy.Items[i], '^', 2);
-            for j := 0 to DisplaySource.Count - 1 do
-            begin
-              dsitem := DisplaySource[j];
-              dsnum := Piece(dsitem, '^', 1);
-              if filenum = dsnum then
-              begin
-                needtoadd := false;
-                if Checked[i] then
-                  DisplaySource[j] := filenum + '^' + filename + '^1'
-                else
-                  DisplaySource[j] := filenum + '^' + filename + '^0';
-                break;
-              end;
-            end;
-            if needtoadd then
-              DisplaySource.Add('*^' + filenum + '^' + filename + '^1');
-          end;
-        end;
-        with aGraphSetting do
-        begin
-          MaxGraphs := spnMaxGraphs.Position;
-          MinGraphHeight := spnMinGraphHeight.Position;
-          MaxSelect := spnMaxSelect.Position;
-          MaxSelectMin := 1;
-          OptionSettings := '';
-          with chklstOptions do
-          for i := 0 to Items.Count - 1 do
-          begin
-            value := Piece(lstOptions.Items[i], '^', 2);
-            turnon := Checked[i];
-            if turnon then OptionSettings := OptionSettings + value;
-            if value = SETTING_VALUES then Values := turnon
-            else if value = SETTING_VZOOM then VerticalZoom := turnon
-            else if value = SETTING_HZOOM then HorizontalZoom := turnon
-            else if value = SETTING_3D then View3D := turnon
-            else if value = SETTING_LEGEND then Legend := turnon
-            else if value = SETTING_LINES then Lines := turnon
-            else if value = SETTING_DATES then Dates := turnon
-            else if value = SETTING_SORT then SortByType := turnon
-            else if value = SETTING_CLEAR then ClearBackground := turnon
-            else if value = SETTING_GRADIENT then Gradient := turnon
-            else if value = SETTING_HINTS then Hints := turnon
-            else if value = SETTING_FIXED then FixedDateRange := turnon
-            else if value = SETTING_TOP then StayOnTop := turnon;
-          end;
-          if SortByType then SortColumn := 1 else SortColumn := 0;
-        end;
+        ChangeSources(DisplaySource);
+        ChangeSettings(aGraphSetting);
       end;
     end;
@@ -336,4 +186,215 @@
     frmGraphSettings.Release;
     aList.Free;
+  end;
+end;
+
+procedure TfrmGraphSettings.ChangeSettings(aGraphSetting: TGraphSetting);
+var
+  turnon: boolean;
+  i : integer;
+  value: string;
+begin
+  with aGraphSetting do
+  begin
+    MaxGraphs := spnMaxGraphs.Position;
+    MinGraphHeight := spnMinGraphHeight.Position;
+    MaxSelect := spnMaxSelect.Position;
+    MaxSelectMin := 1;
+    OptionSettings := '';
+    with chklstOptions do
+    for i := 0 to Items.Count - 1 do
+    begin
+      value := Piece(lstOptions.Items[i], '^', 2);
+      turnon := Checked[i];
+      if turnon then OptionSettings := OptionSettings + value;
+      if value = SETTING_VALUES then Values := turnon
+      else if value = SETTING_VZOOM then VerticalZoom := turnon
+      else if value = SETTING_HZOOM then HorizontalZoom := turnon
+      else if value = SETTING_3D then View3D := turnon
+      else if value = SETTING_LEGEND then Legend := turnon
+      else if value = SETTING_LINES then Lines := turnon
+      else if value = SETTING_DATES then Dates := turnon
+      else if value = SETTING_SORT then SortByType := turnon
+      else if value = SETTING_CLEAR then ClearBackground := turnon
+      else if value = SETTING_GRADIENT then Gradient := turnon
+      else if value = SETTING_HINTS then Hints := turnon
+      else if value = SETTING_FIXED then FixedDateRange := turnon
+      else if value = SETTING_TURBO then Turbo := turnon
+      else if value = SETTING_TOP then StayOnTop := turnon;
+    end;
+    if SortByType then SortColumn := 1 else SortColumn := 0;
+    DateRangeOutpatient := cboDateRangeOutpatient.ItemID;
+    DateRangeInpatient := cboDateRangeInpatient.ItemID;
+  end;
+end;
+
+procedure TfrmGraphSettings.ChangeSources(DisplaySource: TStrings);
+var
+  needtoadd: boolean;
+  i, j : integer;
+  filename, filenum, dsitem, dsnum: string;
+begin
+  with lstSources do
+  begin
+    for i := 0 to Items.Count - 1 do
+    begin
+      needtoadd := false;
+      if Checked[i] then
+        needtoadd := true;
+      filename := Piece(lstSourcesCopy.Items[i], '^', 1);
+      filenum := Piece(lstSourcesCopy.Items[i], '^', 2);
+      for j := 0 to DisplaySource.Count - 1 do
+      begin
+        dsitem := DisplaySource[j];
+        dsnum := Piece(dsitem, '^', 1);
+        if filenum = dsnum then
+        begin
+          needtoadd := false;
+          if Checked[i] then
+            DisplaySource[j] := filenum + '^' + filename + '^1'
+          else
+            DisplaySource[j] := filenum + '^' + filename + '^0';
+          break;
+        end;
+      end;
+      if needtoadd then
+        DisplaySource.Add('*^' + filenum + '^' + filename + '^1');
+    end;
+  end;
+end;
+
+procedure TfrmGraphSettings.Conversion(conv: integer);
+begin
+  if conv = BIG_NUMBER then
+  begin
+    lblOptionsInfo.Visible := true;
+    frmGraphSettings.Caption := 'Graph Settings - Defaults Only';
+    lblConversions.Enabled := false;
+    cboConversions.Enabled := false;
+    cboConversions.ItemIndex := 0;
+    cboConversions.Text := '';
+  end
+  else
+  with cboConversions do
+  begin
+    lblOptionsInfo.Visible := false;
+    frmGraphSettings.Caption := 'Graph Settings';
+    if btnPublicSave.Enabled = true then
+    begin
+      lblConversions.Enabled := true;
+      Enabled := true;
+      ItemIndex := conv;
+      Text := Items[ItemIndex];
+    end
+    else
+    begin
+      lblConversions.Enabled := false;
+      cboConversions.Enabled := false;
+      cboConversions.ItemIndex := 0;
+      cboConversions.Text := '';
+    end;
+  end;
+end;
+
+procedure TfrmGraphSettings.SetSettings(aGraphSetting: TGraphSetting);
+var
+  i : integer;
+  value: string;
+begin
+  with aGraphSetting do
+  begin
+    OptionSettings := '';
+    if Values then OptionSettings := OptionSettings + SETTING_VALUES;
+    if VerticalZoom then OptionSettings := OptionSettings + SETTING_VZOOM;
+    if HorizontalZoom then OptionSettings := OptionSettings + SETTING_HZOOM;
+    if View3D then OptionSettings := OptionSettings + SETTING_3D;
+    if Legend then OptionSettings := OptionSettings + SETTING_LEGEND;
+    if Lines then OptionSettings := OptionSettings + SETTING_LINES;
+    if Dates then OptionSettings := OptionSettings + SETTING_DATES;
+    if SortByType then OptionSettings := OptionSettings + SETTING_SORT;
+    if ClearBackground then OptionSettings := OptionSettings + SETTING_CLEAR;
+    if Gradient then OptionSettings := OptionSettings + SETTING_GRADIENT;
+    if Hints then OptionSettings := OptionSettings + SETTING_HINTS;
+    if StayOnTop then OptionSettings := OptionSettings + SETTING_TOP;
+    if FixedDateRange then OptionSettings := OptionSettings + SETTING_FIXED;
+    spnMaxGraphs.Position := MaxGraphs;
+    spnMinGraphHeight.Position := MinGraphHeight;
+    MaxSelect := Min(MaxSelectMax, MaxSelect);
+    if MaxSelect < MaxSelectMin then
+      MaxSelect := MaxSelectMin;
+    spnMaxSelect.Position := MaxSelect;
+    spnMaxSelect.Min := MaxSelectMin;
+    spnMaxSelect.Max := MaxSelectMax;
+    cboDateRangeOutpatient.SelectByID(GetDefaultOutpatientDate);
+    cboDateRangeInpatient.SelectByID(GetDefaultInpatientDate);
+    if SortByType then SortColumn := 1 else SortColumn := 0;
+    lstOptions.Tag := SortColumn;
+    if (SortColumn > 0) then
+      if Pos(SETTING_SORT, OptionSettings) = 0 then
+        OptionSettings := OptionSettings + SETTING_SORT;
+    if Turbo then OptionSettings := OptionSettings + SETTING_TURBO;
+    if GraphPublicEditor or GraphTurboOn then
+    begin
+      lstOptions.Items.Add('Turbo^N');
+      chklstOptions.Items.Add('Turbo');
+    end;
+    for i := 0 to lstOptions.Items.Count - 1 do
+    begin
+      value := Piece(lstOptions.Items[i], '^', 2);
+      chklstOptions.Checked[i] := Pos(value, OptionSettings) > 0;
+    end;
+  end;
+end;
+
+procedure TfrmGraphSettings.SetSources(aList, DisplaySource: TStrings);
+var
+  i, j : integer;
+  listitem, filenum, filename, dsitem, dsnum, dsdisplay: string;
+begin
+  with lstSources.Items do
+  begin
+    Clear;
+    lstSourcesCopy.Items.Clear;
+    for i := 0 to aList.Count - 1 do
+    begin
+      listitem := aList[i];
+      filenum := Piece(listitem, '^', 1);
+      filename := Piece(listitem, '^', 2);
+      Add(filename);
+      lstSourcesCopy.Items.Add(filename + '^' + filenum);
+    end;
+    with lstSourcesCopy do
+    for i := 0 to Items.Count - 1 do
+    begin
+      listitem := Items[i];
+      filenum := Piece(listitem, '^', 2);
+      for j := 0 to DisplaySource.Count - 1 do
+      begin
+        dsitem := DisplaySource[j];
+        dsnum := Piece(dsitem, '^', 1);
+        dsdisplay := Piece(dsitem, '^', 3);
+        if filenum = dsnum then
+        begin
+          if dsdisplay = '1' then
+            lstSources.Checked[i] := true;
+          break;
+        end;
+      end;
+    end;
+  end;
+end;
+
+procedure TfrmGraphSettings.GetTypeList(aList: TStrings);
+var
+  i : integer;
+  dfntype, listline : string;
+begin
+  FastAssign(GtslAllTypes, aList);
+  for i := 0 to aList.Count -1 do
+  begin
+    listline := aList[i];
+    dfntype := UpperCase(Piece(listline, '^', 1));
+    SetPiece(listline, '^', 1, dfntype);
+    aList[i] := listline;
   end;
 end;
@@ -368,4 +429,5 @@
     end;
   end;
+  Alltypes.Free;  
 end;
 
@@ -374,5 +436,5 @@
   i: integer;
 begin
-  btnPublicSave.Enabled := rpcPublicEdit;
+  btnPublicSave.Enabled := GraphPublicEditor;
   lblConversions.Enabled := btnPublicSave.Enabled;
   cboConversions.Enabled := btnPublicSave.Enabled;
@@ -424,4 +486,6 @@
   settings := settings + txtMaxSelect.Text + '|';
   settings := settings + Piece(btnPublic.Hint, '|', 8) + '|';
+  settings := settings + cboDateRangeOutpatient.ItemID + '|';
+  settings := settings + cboDateRangeInpatient.ItemID + '|';
   Result := settings;
 end;
@@ -445,4 +509,6 @@
   spnMinGraphHeight.Tag := spnMinGraphHeight.Position;
   spnMaxSelect.Tag := spnMaxSelect.Position;
+  cboDateRangeOutpatient.SelectByID(Piece(settings, '|', 9));
+  cboDateRangeInpatient.SelectByID(Piece(settings, '|', 10));
   for i := 0 to lstOptions.Items.Count - 1 do
   begin
@@ -518,5 +584,5 @@
   if MessageDlg(info, mtConfirmation, [mbYes, mbNo], 0) <> mrYes then
   begin
-    showmessage('No changes were made.');
+    ShowMsg('No changes were made.');
     exit;
   end;
@@ -532,4 +598,14 @@
     btnPublic.Hint := settings;
   end;
+  if length(btnPersonal.Hint) > 0 then
+  begin
+    SetDefaultInpatientDate(Piece(btnPersonal.Hint, '|', 10));
+    SetDefaultOutpatientDate(Piece(btnPersonal.Hint, '|', 9));
+  end
+  else
+  begin
+    SetDefaultInpatientDate(Piece(btnPublic.Hint, '|', 10));
+    SetDefaultOutpatientDate(Piece(btnPublic.Hint, '|', 9));
+  end;
 end;
 
@@ -537,5 +613,5 @@
   Button: TUDBtnType);
 begin
-  txtMaxGraphs.SetFocus;
+  //txtMaxGraphs.SetFocus;
   txtMaxGraphs.Tag := strtointdef(txtMaxGraphs.Text, spnMaxGraphs.Min);
 end;
@@ -599,5 +675,5 @@
   Button: TUDBtnType);
 begin
-  txtMinGraphHeight.SetFocus;
+  //txtMinGraphHeight.SetFocus;
   txtMinGraphHeight.Tag := strtointdef(txtMinGraphHeight.Text, spnMinGraphHeight.Min);
 end;
@@ -606,5 +682,5 @@
   Button: TUDBtnType);
 begin
-  txtMaxSelect.SetFocus;
+  //txtMaxSelect.SetFocus;
   txtMaxSelect.Tag := strtointdef(txtMaxSelect.Text, spnMaxSelect.Min);
 end;
@@ -742,6 +818,6 @@
 procedure TfrmGraphSettings.FormShow(Sender: TObject);
 begin
-  if Caption = 'Graph Settings - Defaults Only' then
-    btnPersonal.SetFocus;
+  //if Caption = 'Graph Settings - Defaults Only' then
+  //  btnPersonal.SetFocus;
   FHintPauseTime := Application.HintHidePause;
   Application.HintHidePause := 9000; // uses a longer hint pause time
@@ -780,4 +856,8 @@
   spnMaxSelect.Hint := SHINT_MAX_ITEMS;
   lblMaxSelectRef.Hint := SHINT_MAX_ITEMS;
+  lblOutpatient.Hint := SHINT_OUTPT;
+  cboDateRangeOutpatient.Hint := SHINT_OUTPT;
+  lblInpatient.Hint := SHINT_INPT;
+  cboDateRangeInpatient.Hint := SHINT_INPT;
   lblConversions.Hint := SHINT_FUNCTIONS;
   cboConversions.Hint := SHINT_FUNCTIONS;
@@ -790,5 +870,5 @@
     Msg.Result := 0; // ignore biHelp border icon
     AssignHints;
-    ShowMessage('Help is now available.' + #13 +
+    ShowMsg('Help is now available.' + #13 +
                 'By pausing over a list or control, hints will appear.');
   end
